//---------------------------------------------------------------------------
#ifndef TCameraBoxH
#define TCameraBoxH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
//---------------------------------------------------------------------------
class TCameraBox : public TForm
{
__published:	// IDE-managed Components
	TGroupBox *GroupBoxSettings;
	TCheckBox *CheckBoxRotateSight;
	TCheckBox *CheckBoxRotateWith;
	TCheckBox *CheckBoxDrawAxes;
	TCheckBox *CheckBoxDrawPoint;
	TLabel *Label1;
	TEdit *EditStrafeSpeed;
	TEdit *EditMaxPhi;
	TLabel *Label2;
	TGroupBox *GroupBoxPosition;
	TEdit *EditX0;
	TEdit *EditY0;
	TEdit *EditZ0;
	TLabel *Label3;
	TLabel *Label4;
	TLabel *Label5;
	TGroupBox *GroupBoxOrientation;
	TCheckBox *CheckBoxXY;
	TCheckBox *CheckBoxXZ;
	TCheckBox *CheckBoxYZ;
	TButton *BtnOK;
	TButton *BtnCancel;
	TEdit *EditFBSpeed;
	TLabel *Label6;
	TLabel *Label7;
	TCheckBox *CheckBoxSpeedRelative;
	void __fastcall FormCloseQuery(TObject *Sender, bool &CanClose);
	void __fastcall BtnCancelClick(TObject *Sender);
	void __fastcall EditStrafeSpeedExit(TObject *Sender);
	void __fastcall EditMaxPhiExit(TObject *Sender);
	void __fastcall EditX0Exit(TObject *Sender);
	void __fastcall EditY0Exit(TObject *Sender);
	void __fastcall EditZ0Exit(TObject *Sender);
	void __fastcall CheckBoxXYClick(TObject *Sender);
	void __fastcall CheckBoxXZClick(TObject *Sender);
	void __fastcall CheckBoxYZClick(TObject *Sender);
	void __fastcall BtnOKClick(TObject *Sender);
	void __fastcall EditFBSpeedExit(TObject *Sender);
	void __fastcall EditFBSpeedKeyDown(TObject *Sender, WORD &Key,
          TShiftState Shift);
	void __fastcall EditStrafeSpeedKeyDown(TObject *Sender, WORD &Key,
          TShiftState Shift);
	void __fastcall EditX0KeyDown(TObject *Sender, WORD &Key,
          TShiftState Shift);
	void __fastcall EditY0KeyDown(TObject *Sender, WORD &Key,
          TShiftState Shift);
	void __fastcall EditZ0KeyDown(TObject *Sender, WORD &Key,
          TShiftState Shift);
	void __fastcall EditMaxPhiKeyDown(TObject *Sender, WORD &Key,
          TShiftState Shift);
private:	// User declarations
public:		// User declarations
	__fastcall TCameraBox(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TCameraBox *CameraBox;
//---------------------------------------------------------------------------
#endif
