#include <math.h>

#define min(a, b)  (((a) < (b)) ? (a) : (b))
#define max(a, b)  (((a) > (b)) ? (a) : (b))

// ----------------------------------------------------------------------------
//   :

int trunc(double x)
{
	double  ix = int(x);
    double  y = x - ix;
	return (x>0) ? ( (y<0.5) ? ix : ix+1 ) : ( (y>-0.5) ? ix : ix-1 ) ;
};

// ----------------------------------------------------------------------------
//  :

int sign(double x)
{
	return ((x>=0) ? 1 : -1);
};

// ----------------------------------------------------------------------------
//  :

AnsiString Float2String(double x, int Digits)
{
    Digits = (Digits<6) ? 6 : Digits;
    double M = pow10(Digits);
    int E = (x!=0) ? int(floor(log10(fabs(x)))) : 0;
    E = (E>=0) ? E : -E;
    int nE = (E<10) ? 1 : ((E<100) ? 2 : 3);
	return ((-M<x && x<=-0.001)||(0.001<=x && x<M)||(x==0)) ?
           FloatToStrF(x,ffGeneral,Digits,0) :
           FloatToStrF(x,ffExponent,Digits-2-nE,0);
}

// ----------------------------------------------------------------------------
//        "":

AnsiString Body(int n)
{
//	 :
	int ones = n % 10;
//	 :
	int decs = (n/10) % 10;
    if (decs == 1) return AnsiString(" ");
    if (ones == 0) return AnsiString(" ");
    if (ones == 1) return AnsiString(" ");
    if (2 <= ones && ones <= 4) return AnsiString(" ");
    return AnsiString(" ");
}
