//---------------------------------------------------------------------------
#ifndef TTimeBoxH
#define TTimeBoxH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Buttons.hpp>
#include "CSPIN.h"
//---------------------------------------------------------------------------
class TTimeBox : public TForm
{
__published:	// IDE-managed Components
	TGroupBox *GroupBoxTime;
	TLabel *Label1;
	TLabel *Label2;
	TLabel *Label3;
	TLabel *Label4;
	TLabel *Label5;
	TGroupBox *GroupBoxTimeScale;
	TEdit *EditScale;
	TButton *BtnOK;
	TButton *BtnCancel;
	TSpeedButton *SBtnTurn;
	TGroupBox *GroupBoxStep;
	TEdit *EditStep;
	TCSpinEdit *SpinEditGYears;
	TCSpinEdit *SpinEditMYears;
	TCSpinEdit *SpinEditKYears;
	TCSpinEdit *SpinEditYears;
	TCSpinEdit *SpinEditDays;
	TCSpinEdit *SpinEditHours;
	TCSpinEdit *SpinEditMinutes;
	TCSpinEdit *SpinEditSeconds;
	void __fastcall FormCloseQuery(TObject *Sender, bool &CanClose);
	void __fastcall SpinEditGYearsExit(TObject *Sender);
	void __fastcall SpinEditMYearsExit(TObject *Sender);
	void __fastcall SpinEditKYearsExit(TObject *Sender);
	void __fastcall SpinEditYearsExit(TObject *Sender);
	void __fastcall SpinEditDaysExit(TObject *Sender);
	void __fastcall SpinEditHoursExit(TObject *Sender);
	void __fastcall SpinEditMinutesExit(TObject *Sender);
	void __fastcall SpinEditSecondsExit(TObject *Sender);
	void __fastcall SpinEditGYearsBottomClick(TObject *Sender);
	void __fastcall SpinEditGYearsTopClick(TObject *Sender);
	void __fastcall SpinEditMYearsBottomClick(TObject *Sender);
	void __fastcall SpinEditMYearsTopClick(TObject *Sender);
	void __fastcall SpinEditKYearsBottomClick(TObject *Sender);
	void __fastcall SpinEditKYearsTopClick(TObject *Sender);
	void __fastcall SpinEditYearsBottomClick(TObject *Sender);
	void __fastcall SpinEditYearsTopClick(TObject *Sender);
	void __fastcall SpinEditDaysBottomClick(TObject *Sender);
	void __fastcall SpinEditDaysTopClick(TObject *Sender);
	void __fastcall SpinEditHoursBottomClick(TObject *Sender);
	void __fastcall SpinEditHoursTopClick(TObject *Sender);
	void __fastcall SpinEditMinutesBottomClick(TObject *Sender);
	void __fastcall SpinEditMinutesTopClick(TObject *Sender);
	void __fastcall SpinEditSecondsBottomClick(TObject *Sender);
	void __fastcall SpinEditSecondsTopClick(TObject *Sender);
	void __fastcall SpinEditGYearsKeyDown(TObject *Sender, WORD &Key,
          TShiftState Shift);
	void __fastcall SpinEditMYearsKeyDown(TObject *Sender, WORD &Key,
          TShiftState Shift);
	void __fastcall SpinEditKYearsKeyDown(TObject *Sender, WORD &Key,
          TShiftState Shift);
	void __fastcall SpinEditYearsKeyDown(TObject *Sender, WORD &Key,
          TShiftState Shift);
	void __fastcall SpinEditDaysKeyDown(TObject *Sender, WORD &Key,
          TShiftState Shift);
	void __fastcall SpinEditHoursKeyDown(TObject *Sender, WORD &Key,
          TShiftState Shift);
	void __fastcall SpinEditMinutesKeyDown(TObject *Sender, WORD &Key,
          TShiftState Shift);
	void __fastcall SpinEditSecondsKeyDown(TObject *Sender, WORD &Key,
          TShiftState Shift);
	void __fastcall EditScaleExit(TObject *Sender);
	void __fastcall EditScaleKeyDown(TObject *Sender, WORD &Key,
          TShiftState Shift);
	void __fastcall SBtnTurnClick(TObject *Sender);
	void __fastcall BtnCancelClick(TObject *Sender);
	void __fastcall BtnOKClick(TObject *Sender);
	void __fastcall EditStepExit(TObject *Sender);
	void __fastcall EditStepKeyDown(TObject *Sender, WORD &Key,
          TShiftState Shift);
private:	// User declarations
public:		// User declarations
	__fastcall TTimeBox(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TTimeBox *TimeBox;
//---------------------------------------------------------------------------
#endif
